Maton

Rotate Destination Secret

POST/triggers/{trigger_id}/destinations/{destination_id}/secret:rotate

Authorization

bearerAuth
AuthorizationBearer <token>

Your Maton API key, sent as Authorization: Bearer <MATON_API_KEY>. Create one at https://maton.ai/settings.

In: header

Path Parameters

trigger_id*string

The trigger's unique identifier.

destination_id*string

The destination's unique identifier.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST \  "https://api.maton.ai/triggers/{trigger_id}/destinations/{destination_id}/secret:rotate" \  -H "Authorization: Bearer $MATON_API_KEY"
{
  "signing_secret": "whsec_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"
}
{
  "message": "Invalid API key.",
  "type": "Unauthorized",
  "code": 401
}
{
  "message": "Resource not found.",
  "type": "Not Found",
  "code": 404
}
{
  "message": "Too many requests.",
  "type": "Too Many Requests",
  "code": 429
}
{
  "message": "Internal server error.",
  "type": "Internal Server Error",
  "code": 500
}